# SPDX-FileCopyrightText: 2022-present deepset GmbH <info@deepset.ai>
#
# SPDX-License-Identifier: Apache-2.0

from haystack.components.converters.azure import AzureOCRDocumentConverter
from haystack.components.converters.docx import DOCXMetadata, DOCXToDocument
from haystack.components.converters.html import HTMLToDocument
from haystack.components.converters.markdown import MarkdownToDocument
from haystack.components.converters.openapi_functions import OpenAPIServiceToFunctions
from haystack.components.converters.output_adapter import OutputAdapter
from haystack.components.converters.pdfminer import PDFMinerToDocument
from haystack.components.converters.pypdf import PyPDFToDocument
from haystack.components.converters.tika import TikaDocumentConverter
from haystack.components.converters.txt import TextFileToDocument

__all__ = [
    "TextFileToDocument",
    "TikaDocumentConverter",
    "AzureOCRDocumentConverter",
    "PyPDFToDocument",
    "PDFMinerToDocument",
    "HTMLToDocument",
    "MarkdownToDocument",
    "OpenAPIServiceToFunctions",
    "OutputAdapter",
    "DOCXToDocument",
    "DOCXMetadata",
]
